### Method

# Soup Auth get_info

#### Declaration [src]

    char*
    soup_auth_get_info (
      SoupAuth* auth
    )

#### Description [src]

Gets an opaque identifier for `auth`.

The identifier can be used as a hash key or the like. `SoupAuth` objects from the same server with the same identifier refer to the same authentication domain (eg, the URLs associated with them take the same usernames and passwords).

#### Return value

Type: `char*`

The identifier.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.